Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class C45

    java.lang.Object
      cc.mallet.classify.Classifier
          cc.mallet.classify.C45

All Implemented Interfaces:
  Boostable, AlphabetCarrying, java.io.Serializable

    public class C45

extends Classifier
implements Boostable, java.io.Serializable

A C4.5 Decision Tree classifier.

Author:
  Gary Huang ghuang@cs.umass.edu
See Also:
  `C45Trainer`, Serialized Form

Nested Class Summary
`static class` | `C45.Node`

Field Summary

Fields inherited from class cc.mallet.classify.Classifier
`instancePipe`

Constructor Summary
`C45(Pipe instancePipe, C45.Node root)`

Method Summary
`Classification` | `classify(Instance instance)`
`C45.Node` | `getRoot()`
`int` | `getSize()`
`void` | `print()` Prints the tree
`void` | `prune()` Prune the tree using minimum description length

Methods inherited from class cc.mallet.classify.Classifier
`alphabetsMatch, classify, classify, classify, getAccuracy, getAlphabet, getAlphabets, getAverageRank, getF1, getF1, getF1, getFeatureSelection, getInstancePipe, getLabelAlphabet, getPerClassFeatureSelection, getPrecision, getPrecision, getPrecision, getRecall, getRecall, getRecall, print`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### C45

    public C45(Pipe instancePipe,
               C45.Node root)

Method Detail

### getRoot

    public C45.Node getRoot()

### classify

    public Classification classify(Instance instance)

  Specified by:
    `classify` in class `Classifier`

### prune

    public void prune()

  Prune the tree using minimum description length

### getSize

    public int getSize()

  Returns:
    the total number of nodes in this tree

### print

    public void print()

  Prints the tree

  Overrides:
    `print` in class `Classifier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD